
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: local-storage
provisioner: kubernetes.io/no-provisioner
volumeBindingMode: WaitForFirstConsumer

---
kind: PersistentVolume
apiVersion: v1
metadata:
  name: pv02
  labels:
    pv-name: pv02
spec:
  capacity:
    storage: 5Gi
  accessModes:
  - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  storageClassName: local-storage
  local:
    path: /mnt/fs1
  nodeAffinity:
    required:
      nodeSelectorTerms:
      - matchExpressions:
        - key: nodename
          operator: In
          values:
          - w02

---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: pvc02
spec:
  accessModes:
  - ReadWriteOnce
  storageClassName: local-storage
  resources:
    requests:
      storage: 5Gi
  selector:
    matchLabels:
      pv-name: pv02

---
kind: Pod
apiVersion: v1
metadata:
  name: test-pod
spec:
  containers:
  - image: aemc/whoami
    name: whoami-container
    volumeMounts:
    - mountPath: /mnt
      name: test-volume
  initContainers:
  - name: init
    image: alpine
    command:
    - echo
    - "init"
    volumeMounts:
    - mountPath: /mnt
      name: init-data
  volumes:
  - name: test-volume
    persistentVolumeClaim:
      claimName: pvc02
  - name: init-data
    hostPath:
      type: DirectoryOrCreate
      path: /mnt/fs1
